Debian Bug report logs - #592750
linux-2.6: fan not active after sleep/hibernate

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Philip Ashmore <contact@philipashmore.com>

Date: Thu, 12 Aug 2010 15:45:01 UTC

Severity: important

Found in version 2.6.32-23

Fixed in version 2.6.36~rc5-1~experimental.1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, contact@philipashmore.com, Aurelien Jarno <aurel32@debian.org>:
Bug#592750; Package lm-sensors. (Thu, 12 Aug 2010 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
New Bug report received and forwarded. Copy sent to contact@philipashmore.com, Aurelien Jarno <aurel32@debian.org>. (Thu, 12 Aug 2010 15:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lm-sensors: fan not active after sleep/hibernate
Date: Thu, 12 Aug 2010 16:40:50 +0100
Package: lm-sensors
Version: 1:3.0.2-1+b2
Severity: important

If I sleep or hibernate on my Compaq Presario laptop A975 EM dual core laptop,
the fans stops working.

I can feel the palm rest heat up (either hard drive or CPU.

Rebooting restores normal function.

-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages lm-sensors depends on:
ii  libc6                    2.11.2-2        Embedded GNU C Library: Shared lib
ii  libsensors4              1:3.0.2-1+b2    library to read temperature/voltag
ii  perl                     5.10.0-19lenny2 Larry Wall's Practical Extraction 
ii  sed                      4.1.5-6         The GNU sed stream editor

lm-sensors recommends no packages.

Versions of packages lm-sensors suggests:
pn  i2c-tools                     <none>     (no description available)
pn  read-edid                     <none>     (no description available)
pn  sensord                       <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#592750; Package lm-sensors. (Thu, 12 Aug 2010 17:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Thu, 12 Aug 2010 17:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 592750@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Philip Ashmore <contact@philipashmore.com>, 592750@bugs.debian.org
Subject: Re: Bug#592750: lm-sensors: fan not active after sleep/hibernate
Date: Thu, 12 Aug 2010 19:05:20 +0200
On Thu, Aug 12, 2010 at 04:40:50PM +0100, Philip Ashmore wrote:
> Package: lm-sensors
> Version: 1:3.0.2-1+b2
> Severity: important
> 
> If I sleep or hibernate on my Compaq Presario laptop A975 EM dual core laptop,
> the fans stops working.
> 
> I can feel the palm rest heat up (either hard drive or CPU.
> 
> Rebooting restores normal function.

Is the issue really linked to lm-sensors? Does removing this package
help in some way? This looks like more like a kernel issue to me.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#592750; Package lm-sensors. (Fri, 13 Aug 2010 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Fri, 13 Aug 2010 02:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 592750@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: 592750@bugs.debian.org
Subject: Re: Bug#592750: lm-sensors: fan not active after sleep/hibernate
Date: Fri, 13 Aug 2010 03:49:51 +0100
Aurelien Jarno wrote:
> On Thu, Aug 12, 2010 at 04:40:50PM +0100, Philip Ashmore wrote:
>> Package: lm-sensors
>> Version: 1:3.0.2-1+b2
>> Severity: important
>>
>> If I sleep or hibernate on my Compaq Presario laptop A975 EM dual core laptop,
>> the fans stops working.
>>
>> I can feel the palm rest heat up (either hard drive or CPU.
>>
>> Rebooting restores normal function.
>
> Is the issue really linked to lm-sensors? Does removing this package
> help in some way? This looks like more like a kernel issue to me.
You're right. I should add that in recent sleep tests the fan eventually kicks in
at full speed - not the stepped ramp of speeds it normally does.





Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#592750; Package lm-sensors. (Fri, 13 Aug 2010 07:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Fri, 13 Aug 2010 07:42:09 GMT) Full text and rfc822 format available.

Message #20 received at 592750@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Philip Ashmore <contact@philipashmore.com>, 592750@bugs.debian.org
Subject: Re: Bug#592750: lm-sensors: fan not active after sleep/hibernate
Date: Fri, 13 Aug 2010 09:32:59 +0200
On Fri, Aug 13, 2010 at 03:49:51AM +0100, Philip Ashmore wrote:
> Aurelien Jarno wrote:
> >On Thu, Aug 12, 2010 at 04:40:50PM +0100, Philip Ashmore wrote:
> >>Package: lm-sensors
> >>Version: 1:3.0.2-1+b2
> >>Severity: important
> >>
> >>If I sleep or hibernate on my Compaq Presario laptop A975 EM dual core laptop,
> >>the fans stops working.
> >>
> >>I can feel the palm rest heat up (either hard drive or CPU.
> >>
> >>Rebooting restores normal function.
> >
> >Is the issue really linked to lm-sensors? Does removing this package
> >help in some way? This looks like more like a kernel issue to me.
> You're right. I should add that in recent sleep tests the fan eventually kicks in
> at full speed - not the stepped ramp of speeds it normally does.
> 

Could you please send me the content of the file /etc/fancontrol?

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#592750; Package lm-sensors. (Thu, 19 Aug 2010 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Thu, 19 Aug 2010 21:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 592750@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Philip Ashmore <contact@philipashmore.com>, 592750@bugs.debian.org
Subject: Re: Bug#592750: lm-sensors: fan not active after sleep/hibernate
Date: Thu, 19 Aug 2010 23:29:59 +0200
On Fri, Aug 13, 2010 at 09:32:59AM +0200, Aurelien Jarno wrote:
> On Fri, Aug 13, 2010 at 03:49:51AM +0100, Philip Ashmore wrote:
> > Aurelien Jarno wrote:
> > >On Thu, Aug 12, 2010 at 04:40:50PM +0100, Philip Ashmore wrote:
> > >>Package: lm-sensors
> > >>Version: 1:3.0.2-1+b2
> > >>Severity: important
> > >>
> > >>If I sleep or hibernate on my Compaq Presario laptop A975 EM dual core laptop,
> > >>the fans stops working.
> > >>
> > >>I can feel the palm rest heat up (either hard drive or CPU.
> > >>
> > >>Rebooting restores normal function.
> > >
> > >Is the issue really linked to lm-sensors? Does removing this package
> > >help in some way? This looks like more like a kernel issue to me.
> > You're right. I should add that in recent sleep tests the fan eventually kicks in
> > at full speed - not the stepped ramp of speeds it normally does.
> > 
> 
> Could you please send me the content of the file /etc/fancontrol?
> 

Any new on that?

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#592750; Package lm-sensors. (Fri, 20 Aug 2010 10:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Fri, 20 Aug 2010 10:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 592750@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Philip Ashmore <contact@philipashmore.com>, 592750@bugs.debian.org
Subject: Re: Bug#592750: lm-sensors: fan not active after sleep/hibernate
Date: Fri, 20 Aug 2010 12:02:19 +0200
reassign 592750 linux-2.6
retitle: 592750 linux-2.6: fan not active after sleep/hibernate
thanks

On Fri, Aug 20, 2010 at 01:17:31AM +0100, Philip Ashmore wrote:
> cat: /etc/fancontrol: No such file or directory
>

Ok, it's what I expected, you are not using fancontrol to control your
fans, so your problem is related to kernel and acpi. Reassigning the
bug.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Jarno <aurel32@debian.org>:
Bug#592750; Package lm-sensors. (Fri, 20 Aug 2010 10:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to Aurelien Jarno <aurel32@debian.org>. (Fri, 20 Aug 2010 10:21:04 GMT) Full text and rfc822 format available.

Message #35 received at 592750@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: 592750@bugs.debian.org
Subject: Re: lm-sensors: fan not active after sleep/hibernate
Date: Fri, 20 Aug 2010 11:19:39 +0100
I should explain that I uninstalled the package and tried the version 
from Squeeze - same problem.
I then uninstalled the package - same problem.

Perhaps this should be re-assigned to linux-image-2.6.32-trunk-amd64.




Bug reassigned from package 'lm-sensors' to 'linux-2.6'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Thu, 02 Sep 2010 07:03:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions lm-sensors-3/1:3.0.2-1. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Thu, 02 Sep 2010 07:03:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'linux-2.6: fan not active after sleep/hibernate' from 'lm-sensors: fan not active after sleep/hibernate' Request was from Uwe Kleine-König <u.kleine-koenig@pengutronix.de> to control@bugs.debian.org. (Thu, 02 Sep 2010 07:12:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Fri, 03 Sep 2010 23:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 03 Sep 2010 23:21:05 GMT) Full text and rfc822 format available.

Message #46 received at 592750@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Philip Ashmore <contact@philipashmore.com>
Cc: 592750@bugs.debian.org
Subject: Re: lm-sensors: fan not active after sleep/hibernate
Date: Sat, 04 Sep 2010 00:15:35 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-08-20 at 11:19 +0100, Philip Ashmore wrote:
> I should explain that I uninstalled the package and tried the version 
> from Squeeze - same problem.
> I then uninstalled the package - same problem.
> 
> Perhaps this should be re-assigned to linux-image-2.6.32-trunk-amd64.

Perhaps you should test linux-image-2.6.32-5-amd64 rather than running
that old kernel version.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 03 Sep 2010 23:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Sat, 04 Sep 2010 21:12:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 04 Sep 2010 21:12:15 GMT) Full text and rfc822 format available.

Message #53 received at 592750@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: 592750@bugs.debian.org
Subject: Re: linux-2.6: fan not active after sleep/hibernate
Date: Sat, 04 Sep 2010 22:11:43 +0100
[Message part 1 (text/plain, inline)]
> Perhaps you should test linux-image-2.6.32-5-amd64 rather than running
> that old kernel version.

Indeed.
I thought that "trunk" meant "latest".
I switched to it to get my Atheros wireless working.

Anyway I can confirm that the problems don't occur with 2.6.32-5-amd64.
I'm triple-booting (Debian-Lenny,Debian-Squeeze,Ubuntu-Lucid) so I tried Ubuntu and the
problem's there too - with 2.6.32-5-amd64 - see

    https://bugs.launchpad.net/ubuntu/+source/linux/+bug/629953

which I can only conclude is a regression.
Please close this bug.

Thanks,
Philip

[Message part 2 (text/html, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sat, 04 Sep 2010 22:09:07 GMT) Full text and rfc822 format available.

Notification sent to Philip Ashmore <contact@philipashmore.com>:
Bug acknowledged by developer. (Sat, 04 Sep 2010 22:09:07 GMT) Full text and rfc822 format available.

Message #58 received at 592750-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 592750-done@bugs.debian.org
Subject: Re: Bug#592750: linux-2.6: fan not active after sleep/hibernate
Date: Sat, 04 Sep 2010 23:08:08 +0100
[Message part 1 (text/plain, inline)]
Version: 2.6.32-21

On Sat, 2010-09-04 at 22:11 +0100, Philip Ashmore wrote:
> > Perhaps you should test linux-image-2.6.32-5-amd64 rather than running
> > that old kernel version.
> 
> Indeed.
> I thought that "trunk" meant "latest".

It really indicates an experimental version and is normally only used
for uploads to experimental, but it was accidentally used in an upload
to unstable.  Since GRUB sorts 'trunk' before real ABI numbers such as
'5' in its menu of kernel versions, you and apparently many other users
have kept on running it by default.

> I switched to it to get my Atheros wireless working.
> 
> Anyway I can confirm that the problems don't occur with 2.6.32-5-amd64.

OK, closing this bug.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Tue, 28 Sep 2010 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Sep 2010 22:06:03 GMT) Full text and rfc822 format available.

Message #63 received at 592750@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: 592750@bugs.debian.org
Subject: re: linux-2.6: fan not active after sleep/hibernate
Date: Tue, 28 Sep 2010 23:02:36 +0100
reopen linux-2.6.32-5-amd64
thanks

It looks like I spoke too soon.
It occurred three times since I reported it fixed - meaning it works 
about 4 out of 5 times.

Philip




Bug No longer marked as fixed in versions 2.6.32-21 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Sep 2010 02:03:07 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 29 Sep 2010 02:03:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-23. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 29 Sep 2010 02:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Wed, 29 Sep 2010 13:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Sep 2010 13:09:05 GMT) Full text and rfc822 format available.

Message #74 received at 592750@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: 592750@bugs.debian.org
Subject: Re: linux-2.6: fan not active after sleep/hibernate
Date: Wed, 29 Sep 2010 14:06:13 +0100
reopen
thanks


Maybe this will work




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Wed, 29 Sep 2010 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Sep 2010 15:03:03 GMT) Full text and rfc822 format available.

Message #79 received at 592750@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Philip Ashmore <contact@philipashmore.com>, 592750@bugs.debian.org
Subject: Re: Bug#592750: linux-2.6: fan not active after sleep/hibernate
Date: Wed, 29 Sep 2010 16:00:24 +0100
On Wed, Sep 29, 2010 at 02:06:13PM +0100, Philip Ashmore wrote:
> reopen
> thanks
>
>
> Maybe this will work

No, you have to use the control address; see
<http://www.debian.org/Bugs/server-control>.  Anyway, I have reopened the bug
for you.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Sat, 02 Oct 2010 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 02 Oct 2010 18:27:03 GMT) Full text and rfc822 format available.

Message #84 received at 592750@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Philip Ashmore <contact@philipashmore.com>, 592750@bugs.debian.org
Subject: Re: Bug#592750: linux-2.6: fan not active after sleep/hibernate
Date: Sat, 02 Oct 2010 19:23:06 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2010-09-28 at 23:02 +0100, Philip Ashmore wrote:
> reopen linux-2.6.32-5-amd64
> thanks
> 
> It looks like I spoke too soon.
> It occurred three times since I reported it fixed - meaning it works 
> about 4 out of 5 times.

This looks like a similar bug to
<https://bugzilla.kernel.org/show_bug.cgi?id=13745>, but that is
supposed to have been fixed in stable update 2.6.32.17.

I think we need to pass this upstream, but before that can you test
Linux 2.6.36-rc5 as packaged in experimental?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Sun, 03 Oct 2010 12:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Oct 2010 12:39:06 GMT) Full text and rfc822 format available.

Message #89 received at 592750@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: Ben Hutchings <ben@decadent.org.uk>, 592750@bugs.debian.org
Subject: Re: Bug#592750: linux-2.6: fan not active after sleep/hibernate
Date: Sun, 03 Oct 2010 14:36:46 +0100
Ben Hutchings wrote:
> I think we need to pass this upstream, but before that can you test
> Linux 2.6.36-rc5 as packaged in experimental?
>
> Ben.
>   
I tried enabling experimental and installing Linux 2.6.36-rc5 but 
synaptic reported
linux-image-2.6.36-rc5-amd64:
 Depends: linux-base (>=2.6.36~rc5-1~experimental.1) but 2.6.32-21 is 
to be installed
 Recommends: firmware-linux-free (>=2.6.36~rc5) but 2.6.32-5 is to be 
installed

Philip




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Sun, 03 Oct 2010 14:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 03 Oct 2010 14:00:13 GMT) Full text and rfc822 format available.

Message #94 received at 592750@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Philip Ashmore <contact@philipashmore.com>, 592750@bugs.debian.org
Subject: Re: Bug#592750: linux-2.6: fan not active after sleep/hibernate
Date: Sun, 03 Oct 2010 14:56:39 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-10-03 at 14:36 +0100, Philip Ashmore wrote:
> Ben Hutchings wrote:
> > I think we need to pass this upstream, but before that can you test
> > Linux 2.6.36-rc5 as packaged in experimental?
> >
> > Ben.
> >   
> I tried enabling experimental and installing Linux 2.6.36-rc5 but 
> synaptic reported
> linux-image-2.6.36-rc5-amd64:
>   Depends: linux-base (>=2.6.36~rc5-1~experimental.1) but 2.6.32-21 is 
> to be installed
>   Recommends: firmware-linux-free (>=2.6.36~rc5) but 2.6.32-5 is to be 
> installed

synaptic makes this difficult.  Use apt:

    apt-get install linux-image-2.6.36-rc5-amd64 linux-base/experimental

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Mon, 04 Oct 2010 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Oct 2010 12:21:03 GMT) Full text and rfc822 format available.

Message #99 received at 592750@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: Ben Hutchings <ben@decadent.org.uk>, 592750@bugs.debian.org
Subject: Re: Bug#592750: linux-2.6: fan not active after sleep/hibernate
Date: Mon, 04 Oct 2010 13:17:27 +0100
Ben Hutchings wrote:
> synaptic makes this difficult.  Use apt:
>
>     apt-get install linux-image-2.6.36-rc5-amd64 linux-base/experimental
>
> Ben.
>   
Done.
It seems OK but recently I tried running GoogleEarth after a resume from 
hibernate and my system froze.

Should I report this separately?

Philip




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Mon, 04 Oct 2010 12:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 04 Oct 2010 12:33:07 GMT) Full text and rfc822 format available.

Message #104 received at 592750@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Philip Ashmore <contact@philipashmore.com>, 592750@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Subject: Re: Bug#592750: linux-2.6: fan not active after sleep/hibernate
Date: Mon, 4 Oct 2010 12:23:02 +0000
On Mon, Oct 04, 2010 at 01:17:27PM +0100, Philip Ashmore wrote:
> Ben Hutchings wrote:
>> synaptic makes this difficult.  Use apt:
>>
>>     apt-get install linux-image-2.6.36-rc5-amd64 linux-base/experimental
>>
>> Ben.
>>   
> Done.
> It seems OK but recently I tried running GoogleEarth after a resume from  
> hibernate and my system froze.
>
> Should I report this separately?

rc6 should available soonest, please try to reproduce on rc6 and if possible
file new report please.

thanks.




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Tue, 30 Aug 2011 05:33:06 GMT) Full text and rfc822 format available.

Notification sent to Philip Ashmore <contact@philipashmore.com>:
Bug acknowledged by developer. (Tue, 30 Aug 2011 05:33:06 GMT) Full text and rfc822 format available.

Message #109 received at 592750-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Philip Ashmore <contact@philipashmore.com>
Cc: 592750-done@bugs.debian.org
Subject: Re: linux-2.6: fan not active after sleep/hibernate
Date: Tue, 30 Aug 2011 00:28:50 -0500
Version: 2.6.36~rc5-1~experimental.1

Hi Philip,

Philip Ashmore wrote:
> Ben Hutchings wrote:

>>    apt-get install linux-image-2.6.36-rc5-amd64 linux-base/experimental
[...]
> Done.
> It seems OK

Thanks for testing; marking accordingly.  To make sure this works in
squeeze, too, the following would be useful:

 - Please attach the output of

	/usr/share/bug/linux-image-$(uname -r)/script 3>&1

   so we can get to know your hardware and drivers.

 - If you get a chance to test the latest squeeze kernel, it would be
   very interesting to hear whether it works.

Sorry for the long silence,
Jonathan




Message #110 received at 592750-done@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: 592750-done@bugs.debian.org
Subject: Re: linux-2.6: fan not active after sleep/hibernate
Date: Tue, 30 Aug 2011 16:25:31 +0100
[Message part 1 (text/plain, inline)]
On 30/08/11 06:28, Jonathan Nieder wrote:
> Version: 2.6.36~rc5-1~experimental.1
>
> Hi Philip,
>
> Philip Ashmore wrote:
>> Ben Hutchings wrote:
>
>>>     apt-get install linux-image-2.6.36-rc5-amd64 linux-base/experimental
> [...]
>> Done.
>> It seems OK
>
> Thanks for testing; marking accordingly.  To make sure this works in
> squeeze, too, the following would be useful:
>
>   - Please attach the output of
>
> 	/usr/share/bug/linux-image-$(uname -r)/script 3>&1
>
>     so we can get to know your hardware and drivers.
>
>   - If you get a chance to test the latest squeeze kernel, it would be
>     very interesting to hear whether it works.
>
> Sorry for the long silence,
> Jonathan
Hi and thanks for not letting this one get away.

I think this bug should be renamed to linux-3.0: fan behaves differently after sleep/hibernate.

The thing is, when my laptop resumes from hibernate:
The fan runs at a constant audible low speed.
Usually the fan is so quiet it's inaudible when the cpu is idle, but after hibernate I know
something's up.

artsd pops up a message box - cpu overload, aborting.

When I run something that taxes one or both cores, the fan speed doesn't increase, but a
couple of minutes in the fan will suddenly jump to full "emergency vent" mode and the plastic
casing near the vent is almost too hot to touch.

Script output attached as "scr.txt".

Philip

[scr.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Sat, 03 Sep 2011 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 03 Sep 2011 21:45:03 GMT) Full text and rfc822 format available.

Message #115 received at 592750@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Philip Ashmore <contact@philipashmore.com>
Cc: 592750@bugs.debian.org
Subject: Re: linux-2.6: fan not active after sleep/hibernate
Date: Sat, 3 Sep 2011 16:39:56 -0500
Philip Ashmore wrote:

> I think this bug should be renamed to linux-3.0: fan behaves differently
> after sleep/hibernate.

Are these the same symptoms you noticed with 2.6.32-23?

If not, it will be a lot easier for others reporting bugs and to
figure out what to backport if that gets filed as a separate bug (or
cloned using an appropriate message to control@bugs.debian.org ---
either way is fine).

It's a shame the fan state is getting borked in some way on resume.
Thanks for reporting it.

Jonathan




Bug 592750 cloned as bug 640293. Request was from Philip Ashmore <contact@philipashmore.com> to control@bugs.debian.org. (Sun, 04 Sep 2011 04:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Sun, 04 Sep 2011 05:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philip Ashmore <contact@philipashmore.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 04 Sep 2011 05:54:03 GMT) Full text and rfc822 format available.

Message #122 received at 592750@bugs.debian.org (full text, mbox):

From: Philip Ashmore <contact@philipashmore.com>
To: 592750@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Bug cloned
Date: Sun, 04 Sep 2011 06:40:42 +0100
Cloned as http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=640293
"linux-3.0: fan behaves differently after sleep/hibernate"

Philip




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Sun, 04 Sep 2011 12:25:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 04 Sep 2011 12:25:46 GMT) Full text and rfc822 format available.

Message #127 received at 592750@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Philip Ashmore <contact@philipashmore.com>, 592750@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: Bug#592750: Bug cloned
Date: Sun, 04 Sep 2011 13:20:14 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2011-09-04 at 06:40 +0100, Philip Ashmore wrote:
> Cloned as http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=640293
> "linux-3.0: fan behaves differently after sleep/hibernate"

There is no such package as linux-3.0!

Ben.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#592750; Package linux-2.6. (Sun, 04 Sep 2011 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 04 Sep 2011 14:36:03 GMT) Full text and rfc822 format available.

Message #132 received at 592750@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Philip Ashmore <contact@philipashmore.com>
Cc: 592750@bugs.debian.org
Subject: Re: Presario A975 EM: fan runs at a constant (low) speed after hibernate, until it starts to overheat
Date: Sun, 4 Sep 2011 09:33:14 -0500
reassign 640293 src:linux-2.6 3.0.0-1
retitle 640293 Presario A975 EM: fan runs at a constant (low) speed after hibernate, until it starts to overheat
reopen 640293
quit

Philip Ashmore wrote:

> [Subject: Re: Bug cloned]

Please keep in mind that these emails appear in a crowded inbox, so
the subject line can be a good place to put valuable context.

> Cloned as http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=640293
> "linux-3.0: fan behaves differently after sleep/hibernate"

I guess what I had been fishing for was a description of the
difference between symptoms (if any), but this will do.

I don't see any relevant patches after v3.0.  Please report this
upstream at http://bugzilla.kernel.org/, product ACPI, component
Power-Sleep-Wake, and let us know the bug number so we can track it.

It might help upstream to attach acpidump and full dmesg output after
resume, and to look around in /sys/devices/virtual/thermal (e.g.,
running

	grep . /sys/devices/virtual/thermal/*/*

before and after hibernation to see if there's any difference).

Thanks for your help and perseverance,
Jonathan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Oct 2011 07:34:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:28:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.